Bug 173305 - [patch] textproc/sigil: update to 0.6.0 and some more changes
Summary: [patch] textproc/sigil: update to 0.6.0 and some more changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 22:00 UTC by Boris Samorodov
Modified: 2012-11-03 09:05 UTC (History)
0 users

See Also:


Attachments
file.diff (4.83 KB, patch)
2012-11-02 22:00 UTC, Boris Samorodov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2012-11-02 22:00:00 UTC
The new version of textproc/sigil is available.

Fix: . update to version 0.6.0;
. use two line style headers;
. strip ABI versions from LIB_DEPENDS;
. add licence (GPLv3);
. make use of desktopfileutils for port and package;
. add pkgconfig build dependency;
. remove desktop entry from Makefile (the port has got it's own);
. remove BROKEN at FreeBSD-6.x.

ATTN: one patch file was removed and one was added.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-02 22:00:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-11-02 22:00:29 UTC
Maintainer of textproc/sigil,

Please note that PR ports/173305 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173305

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Boris Samorodov freebsd_committer 2012-11-02 22:13:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 4 Jonathan Chen 2012-11-02 22:31:44 UTC
On 03/11/2012 11:00, Edwin Groothuis wrote:
> Maintainer of textproc/sigil,
>
> Please note that PR ports/173305 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173305
>

Approved.

-- 
Jonathan Chen <jonc@chen.org.nz>
----------------------------------------------------------------------
"A little learning is a dangerous thing but a lot of ignorance is
  just as bad."                                      - Bob Edwards
Comment 5 Boris Samorodov freebsd_committer 2012-11-03 09:05:47 UTC
State Changed
From-To: feedback->closed

Committed, thanks! ;-)